<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: MainWindow Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-slots">Private Slots</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="classMainWindow-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">MainWindow Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="mainwindow_8h_source.html">mainwindow.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for MainWindow:</div>
<div class="dyncontent">
<div class="center"><img src="classMainWindow__inherit__graph.png" border="0" usemap="#MainWindow_inherit__map" alt="Inheritance graph"/></div>
<map name="MainWindow_inherit__map" id="MainWindow_inherit__map">
<area shape="rect" title=" " alt="" coords="5,131,188,325"/>
<area shape="rect" title=" " alt="" coords="39,5,155,83"/>
</map>
</div>
<div class="dynheader">
Collaboration diagram for MainWindow:</div>
<div class="dyncontent">
<div class="center"><img src="classMainWindow__coll__graph.png" border="0" usemap="#MainWindow_coll__map" alt="Collaboration graph"/></div>
<map name="MainWindow_coll__map" id="MainWindow_coll__map">
<area shape="rect" title=" " alt="" coords="426,404,609,555"/>
<area shape="rect" href="classLobby.html" title=" " alt="" coords="86,735,250,885"/>
<area shape="rect" href="classHostGame.html" title=" " alt="" coords="768,735,979,885"/>
<area shape="rect" href="classSettings.html" title=" " alt="" coords="480,661,713,959"/>
<area shape="rect" title=" " alt="" coords="549,176,665,253"/>
<area shape="rect" href="classNetworkService.html" title=" " alt="" coords="53,360,220,599"/>
<area shape="rect" href="classSettingsService.html" title=" " alt="" coords="1043,132,1203,297"/>
<area shape="rect" href="classGameStateService.html" title=" " alt="" coords="1218,360,1434,599"/>
<area shape="rect" title=" " alt="" coords="1159,5,1234,83"/>
</map>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a996c5a2b6f77944776856f08ec30858d"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMainWindow.html#a996c5a2b6f77944776856f08ec30858d">MainWindow</a> (QWidget *parent=nullptr)</td></tr>
<tr class="separator:a996c5a2b6f77944776856f08ec30858d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae98d00a93bc118200eeef9f9bba1dba7"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMainWindow.html#ae98d00a93bc118200eeef9f9bba1dba7">~MainWindow</a> ()</td></tr>
<tr class="separator:ae98d00a93bc118200eeef9f9bba1dba7"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-slots"></a>
Private Slots</h2></td></tr>
<tr class="memitem:a986459e2f079bec2d7d40df190fb1a44"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMainWindow.html#a986459e2f079bec2d7d40df190fb1a44">on_options_clicked</a> ()</td></tr>
<tr class="separator:a986459e2f079bec2d7d40df190fb1a44"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaa610de05e145895fabe840815a78914"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMainWindow.html#aaa610de05e145895fabe840815a78914">on_joinGame_clicked</a> ()</td></tr>
<tr class="separator:aaa610de05e145895fabe840815a78914"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5b38e233c85b8dd578103c2fd97112ec"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMainWindow.html#a5b38e233c85b8dd578103c2fd97112ec">on_exit_clicked</a> ()</td></tr>
<tr class="separator:a5b38e233c85b8dd578103c2fd97112ec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a826ebe9b71b2e78b3968b1f675127f7c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMainWindow.html#a826ebe9b71b2e78b3968b1f675127f7c">on_newGame_clicked</a> ()</td></tr>
<tr class="separator:a826ebe9b71b2e78b3968b1f675127f7c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a35466a70ed47252a0191168126a352a5"><td class="memItemLeft" align="right" valign="top">Ui::MainWindow *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMainWindow.html#a35466a70ed47252a0191168126a352a5">ui</a></td></tr>
<tr class="separator:a35466a70ed47252a0191168126a352a5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a914d53c489b015b0bee55448a76b163e"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classSettings.html">Settings</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMainWindow.html#a914d53c489b015b0bee55448a76b163e">settings</a></td></tr>
<tr class="separator:a914d53c489b015b0bee55448a76b163e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a41b6059450c8bb90690bf0a211bfd430"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classLobby.html">Lobby</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMainWindow.html#a41b6059450c8bb90690bf0a211bfd430">lobby</a></td></tr>
<tr class="separator:a41b6059450c8bb90690bf0a211bfd430"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aba6fba6c25fdd29f1d4de4057a8bb5e2"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classHostGame.html">HostGame</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMainWindow.html#aba6fba6c25fdd29f1d4de4057a8bb5e2">host</a></td></tr>
<tr class="separator:aba6fba6c25fdd29f1d4de4057a8bb5e2"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a996c5a2b6f77944776856f08ec30858d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a996c5a2b6f77944776856f08ec30858d">&#9670;&nbsp;</a></span>MainWindow()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">MainWindow::MainWindow </td>
          <td>(</td>
          <td class="paramtype">QWidget *&#160;</td>
          <td class="paramname"><em>parent</em> = <code>nullptr</code></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ae98d00a93bc118200eeef9f9bba1dba7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae98d00a93bc118200eeef9f9bba1dba7">&#9670;&nbsp;</a></span>~MainWindow()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">MainWindow::~MainWindow </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a5b38e233c85b8dd578103c2fd97112ec"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5b38e233c85b8dd578103c2fd97112ec">&#9670;&nbsp;</a></span>on_exit_clicked</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void MainWindow::on_exit_clicked </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span><span class="mlabel">slot</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aaa610de05e145895fabe840815a78914"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaa610de05e145895fabe840815a78914">&#9670;&nbsp;</a></span>on_joinGame_clicked</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void MainWindow::on_joinGame_clicked </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span><span class="mlabel">slot</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a826ebe9b71b2e78b3968b1f675127f7c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a826ebe9b71b2e78b3968b1f675127f7c">&#9670;&nbsp;</a></span>on_newGame_clicked</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void MainWindow::on_newGame_clicked </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span><span class="mlabel">slot</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a986459e2f079bec2d7d40df190fb1a44"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a986459e2f079bec2d7d40df190fb1a44">&#9670;&nbsp;</a></span>on_options_clicked</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void MainWindow::on_options_clicked </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span><span class="mlabel">slot</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="aba6fba6c25fdd29f1d4de4057a8bb5e2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aba6fba6c25fdd29f1d4de4057a8bb5e2">&#9670;&nbsp;</a></span>host</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classHostGame.html">HostGame</a>* MainWindow::host</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a41b6059450c8bb90690bf0a211bfd430"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a41b6059450c8bb90690bf0a211bfd430">&#9670;&nbsp;</a></span>lobby</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classLobby.html">Lobby</a>* MainWindow::lobby</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a914d53c489b015b0bee55448a76b163e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a914d53c489b015b0bee55448a76b163e">&#9670;&nbsp;</a></span>settings</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classSettings.html">Settings</a>* MainWindow::settings</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a35466a70ed47252a0191168126a352a5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a35466a70ed47252a0191168126a352a5">&#9670;&nbsp;</a></span>ui</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Ui::MainWindow* MainWindow::ui</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>frontend/src/lib/Main Window/<a class="el" href="mainwindow_8h_source.html">mainwindow.h</a></li>
<li>frontend/src/lib/Main Window/<a class="el" href="mainwindow_8cpp.html">mainwindow.cpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
